Subject: bug#73298: closed (Re: [bug#73298] [PATCH 0/2] gnu: coq-mathcomp-bigenough: Use native-inputs.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Nov 2024 22:03:03 +0000

Your bug report

#73298: [PATCH 0/2] gnu: coq-mathcomp-bigenough: Use native-inputs.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73298: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73298
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73298] [PATCH 0/2] gnu: coq-mathcomp-bigenough: Use native-inputs.
From: Ludovic Courtès <[email-masked]>
To: Jean-Pierre De Jesus DIAZ <[email-masked]>
Cc: pukkamustard <[email-masked]>, Julien Lepiller <[email-masked]>, [email-masked]
Date: Sun, 17 Nov 2024 23:02:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jean-Pierre De Jesus DIAZ <[email-masked]> skribis:

> This simplifies the coq-mathcomp-bigenough package by removing uneeded
> make flags and also moves coq and which from propagated-inputs to
> native-inputs.
>
> Jean-Pierre De Jesus DIAZ (2):
>   gnu: coq-mathcomp-bigenough: Use new style.
>   gnu: coq-mathcomp-bigenough: Use native-inputs.

I went ahead and applied both, even though I’m not on the Coq/OCaml
team.

I think you should consider joining that team (Julien, pukkamustard,
perhaps you could use some help?) and probably applying for commit
rights as well.

Thanks,
Ludo’.

Subject: [PATCH 0/2] gnu: coq-mathcomp-bigenough: Use native-inputs.
From: Jean-Pierre De Jesus DIAZ <[email-masked]>
To: [email-masked]
Cc: Jean-Pierre De Jesus DIAZ <[email-masked]>
Date: Mon, 16 Sep 2024 17:28:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This simplifies the coq-mathcomp-bigenough package by removing uneeded
make flags and also moves coq and which from propagated-inputs to
native-inputs.

Jean-Pierre De Jesus DIAZ (2):
  gnu: coq-mathcomp-bigenough: Use new style.
  gnu: coq-mathcomp-bigenough: Use native-inputs.

 gnu/packages/coq.scm | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

base-commit: ee64bcfb796ef36db4b63f79540627fb25f3320a
-- 
2.46.0